N = list(map(int, input().split(' ')))[0]
without = list(map(int, input().split(' ')))

heights = {}

for i in range(1, N+1):
    if i not in without:
        for j in range(1, N+1):
            if j not in without:
                heights[i+j] = True

print(len(heights))
        


